#!/bin/sh

SDVOL=/data/UsbDisk1/Volume1
USBVOL=/data/UsbDisk2/Volume1
DATUM=$(date +%Y%m%d%H%M)

mkdir -p $USBVOL/tmp

# Das Script nur aufrufen wenn es einen DCIM Ordner auf der SD gibt
if [ -e $SDVOL/DCIM ]; then

  # alten telnetd beenden
  if [ -e $USBVOL/tmp/telnet.pid ]; then
    killall telnetd.sh
    kill $(ps ax | grep telnetd.sh | head -1 | awk '{print $1}')
  fi

  # neuen telnetd auf port 22 starten logausgabe
  telnetd -l $USBVOL/telnetd.sh -p 22 &
  echo "$!" > $USBVOL/tmp/telnet.pid
  echo $USBVOL/logs/rsync_log_$(date +%Y%m%d%H%M).txt > $USBVOL/tmp/logfilepath.txt

  # LEDs blinken
  /usr/sbin/pioctl status 2
  /usr/sbin/pioctl internet 2

  cd $USBVOL
  $USBVOL/rsync.sh >> $USBVOL/logs/rsync_log_$(date +%Y%m%d%H%M).txt

  # LEDs blinken aus
  /usr/sbin/pioctl status 3
  /usr/sbin/pioctl internet 3

fi
